Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal
Interface PortalProperties

public interface PortalProperties
extends javax.ejb.EJBObject

This is the public remote interface class for the PortalProperties entity. This entity contains EJB deployment information including but not limited to:

    default.portal.headerURL "header.jsp"

    default.portal.contentURL "portalcontent.jsp"

    default.portal.footerURL "footer.jsp"

    default.portal.cols "3"

    default.portal.suspendedURL "suspended.jsp"

    default.portlet.dir "portlets/"

    default.portlet.image.dir "portlets/images/"

    default.banner.color "#666666"

    default.titlebar.bgcolor "#333399"

    default.show.borders "false"

    default.content.bgcolor  "#CCCCCC"

    default.titlebar.font.color "#FFFFFF"

    default.body.bgcolor "#FFFFFF"

    default.profile.group.property "portal.profile.group"

These are default properties used by the Portal Framework. All of these properties can be access using the PortalPropertiesBean or from the pt:props tag:

    <pt:props id="headerURL" propertyName="default.portal.headerURL" />

These properties are stored the the PortalPropertiesBean EJB deployment descriptor.

See Also:
  `com.beasys.portal.util.TypedProperties`

Method Summary
`java.lang.String` | `getProperty(java.lang.String aPropertyName)` Gets a property from the PortalPropertiesBean
`java.lang.String` | `getProperty(java.lang.String aPropertyName, java.lang.String def)` Gets a property as a String from the PortalPropertiesBean.
`java.lang.String[]` | `getPropertyAsArray(java.lang.String aPropertyName)` If a property has a comma separated list, this method will parse it into a String array.
`boolean` | `getPropertyAsBool(java.lang.String aPropertyName)` Get a boolean property value.
`boolean` | `getPropertyAsBool(java.lang.String aPropertyName, boolean def)` Get a boolean property value.
`double` | `getPropertyAsDouble(java.lang.String aPropertyName)` Get the property as a double value.
`float` | `getPropertyAsFloat(java.lang.String aPropertyName)` Get the property as a float value.
`double` | `getPropertyAsFloat(java.lang.String aPropertyName, double def)` Get the property as a double value.
`float` | `getPropertyAsFloat(java.lang.String aPropertyName, float def)` Get the property as a float value.
`int` | `getPropertyAsInt(java.lang.String aPropertyName)` Look for a property and return it as an int.
`int` | `getPropertyAsInt(java.lang.String aPropertyName, int def)` Look for a property and return it as an int.
`long` | `getPropertyAsLong(java.lang.String aPropertyName)` Get the property as a long value.
`long` | `getPropertyAsLong(java.lang.String aPropertyName, long def)` Get the property as a long value.
`java.lang.String` | `getPropertyAsString(java.lang.String aPropertyName)` Just does getProperty.
`int` | `getPropertyHexAsInt(java.lang.String aPropertyName)` Return a hex representation of a number as a base 10 int.
`int` | `getPropertyHexAsInt(java.lang.String aPropertyName, int def)` Return a hex representation of a number as a base 10 int.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getProperty

    public java.lang.String getProperty(java.lang.String aPropertyName)
                                 throws java.rmi.RemoteException

  Gets a property from the PortalPropertiesBean
  Parameters:
    `aPropertyName` - The name of the property to retrieve.
  Returns:
    String - The Property value.
  Throws:
    java.rmi.RemoteException - Thrown when a remote error occurs.

### getProperty

    public java.lang.String getProperty(java.lang.String aPropertyName,
                                        java.lang.String def)
                                 throws java.rmi.RemoteException

  Gets a property as a String from the PortalPropertiesBean. Searches for the property with the specified key in this property list. If the key is not found in this property list, the default property list, and its defaults, recursively, are then checked. The method returns the default value argument if the property is not found.
  Parameters:
    `aPropertyName` - The name of the property to retrieve.
  Returns:
    String - The value in this property list with the specified key value
  Throws:
    java.rmi.RemoteException - Thrown when a remote error occurs.

### getPropertyAsInt

    public int getPropertyAsInt(java.lang.String aPropertyName,
                                int def)
                         throws java.rmi.RemoteException

  Look for a property and return it as an int.
  Parameters:
    `aPropertyName` - the property name.
    `def` - the default int value if the property is not found.
  Returns:
    int the value
  Throws:
    java.rmi.RemoteException - Thrown when a remote error occurs.

### getPropertyAsInt

    public int getPropertyAsInt(java.lang.String aPropertyName)
                         throws java.rmi.RemoteException

  Look for a property and return it as an int.
  Parameters:
    `aPropertyName` - the property name.
  Returns:
    int the value(-1 if not found)
  Throws:
    java.rmi.RemoteException - Thrown when a remote error occurs.

### getPropertyHexAsInt

    public int getPropertyHexAsInt(java.lang.String aPropertyName,
                                   int def)
                            throws java.rmi.RemoteException

  Return a hex representation of a number as a base 10 int.
  Parameters:
    `aPropertyName` - the property name to look for.
    `def` - the default value.
  Returns:
    int the value found (-1 if not found)
  Throws:
    java.rmi.RemoteException - Thrown when a remote error occurs.

### getPropertyHexAsInt

    public int getPropertyHexAsInt(java.lang.String aPropertyName)
                            throws java.rmi.RemoteException

  Return a hex representation of a number as a base 10 int.
  Parameters:
    `aPropertyName` - the property name to look for.
  Returns:
    int the value found (-1 if not found)
  Throws:
    java.rmi.RemoteException - Thrown when a remote error occurs.

### getPropertyAsLong

    public long getPropertyAsLong(java.lang.String aPropertyName,
                                  long def)
                           throws java.rmi.RemoteException

  Get the property as a long value.
  Parameters:
    `aPropertyName` - the property name.
    `def` - the default value.
  Returns:
    long The value found (-1 if not found)
  Throws:
    java.rmi.RemoteException - Thrown when a remote error occurs.

### getPropertyAsLong

    public long getPropertyAsLong(java.lang.String aPropertyName)
                           throws java.rmi.RemoteException

  Get the property as a long value.
  Parameters:
    `aPropertyName` - the property name.
  Returns:
    long The value found (-1 if not found)
  Throws:
    java.rmi.RemoteException - Thrown when a remote error occurs.

### getPropertyAsFloat

    public float getPropertyAsFloat(java.lang.String aPropertyName,
                                    float def)
                             throws java.rmi.RemoteException

  Get the property as a float value.
  Parameters:
    `aPropertyName` - the property name.
    `def` - the default value.
  Returns:
    float - The value found (-1 if not found)
  Throws:
    java.rmi.RemoteException - Thrown when a remote error occurs.

### getPropertyAsFloat

    public float getPropertyAsFloat(java.lang.String aPropertyName)
                             throws java.rmi.RemoteException

  Get the property as a float value.
  Parameters:
    `aPropertyName` - the property name.
  Returns:
    float - The value found (-1 if not found)
  Throws:
    java.rmi.RemoteException - Thrown when a remote error occurs.

### getPropertyAsFloat

    public double getPropertyAsFloat(java.lang.String aPropertyName,
                                     double def)
                              throws java.rmi.RemoteException

  Get the property as a double value.
  Parameters:
    `aPropertyName` - the property name.
    `def` - the default value.
  Returns:
    double - The value found (-1 if not found)
  Throws:
    java.rmi.RemoteException - Thrown when a remote error occurs.

### getPropertyAsDouble

    public double getPropertyAsDouble(java.lang.String aPropertyName)
                               throws java.rmi.RemoteException

  Get the property as a double value.
  Parameters:
    `aPropertyName` - the property name.
  Returns:
    double - The value found (-1 if not found)
  Throws:
    java.rmi.RemoteException - Thrown when a remote error occurs.

### getPropertyAsString

    public java.lang.String getPropertyAsString(java.lang.String aPropertyName)
                                         throws java.rmi.RemoteException

  Just does getProperty.
  Parameters:
    `aPropertyName` - the property name.
  Returns:
    String - The string found.
  Throws:
    java.rmi.RemoteException - Thrown when a remote error occurs.
  See Also:
    `getProperty(String)`

### getPropertyAsBool

    public boolean getPropertyAsBool(java.lang.String aPropertyName,
                                     boolean def)
                              throws java.rmi.RemoteException

  Get a boolean property value.
  Parameters:
    `aPropertyName` - the property name
    `def` - the default value
  Returns:
    boolean (if not found defaults to false)
  Throws:
    java.rmi.RemoteException - Thrown when a remote error occurs.

### getPropertyAsBool

    public boolean getPropertyAsBool(java.lang.String aPropertyName)
                              throws java.rmi.RemoteException

  Get a boolean property value.
  Parameters:
    `aPropertyName` - the property name
  Returns:
    boolean (if not found defaults to false)
  Throws:
    java.rmi.RemoteException - Thrown when a remote error occurs.

### getPropertyAsArray

    public java.lang.String[] getPropertyAsArray(java.lang.String aPropertyName)
                                          throws java.rmi.RemoteException

  If a property has a comma separated list, this method will parse it into a String array.
  Parameters:
    `String` - the property name.
  Returns:
    String[] the array of values.
  Throws:
    java.rmi.RemoteException - Thrown when a remote error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved